<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\Invitation\ParentInvitationId;
use DomainException;

use function sprintf;

final class InvitationNonEnvoyeeException extends DomainException
{
    public static function pourActivation(ParentInvitationId $id): self
    {
        return new self(sprintf(
            'L\'invitation "%s" ne peut pas être activée car elle n\'a pas encore été envoyée.',
            $id,
        ));
    }
}
